Bug 1271516 - wayland: scrolling on breadcrumbs doesn't work
wayland: scrolling on breadcrumbs doesn't work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-10-14 04:02 EDT by Fabio Valentini
Modified: 2016-04-07 11:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-07 11:27:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Valentini 2015-10-14 04:02:36 EDT
Open nautilus, change to a directory that overflows the headerbar space for breadcrumbs. Scroll on the headerbar to move crumbs left / right.

Actual results:
does nothing under wayland.

Expected results:
moves crumbs to left / right under X.

This might be another instance of mutter not passing on scroll events correctly, but that is just speculation on my end.

Version-Release number of selected component (if applicable):
nautilus-3.18.0-1.fc23.x86_64
gtk3-3.18.1-1.fc23.x86_64
Comment 1 Fabio Valentini 2015-11-11 07:21:41 EST
This still doesn't work with
gtk3-3.18.2-1.fc23.x86_64 and
nautilus-3.18.1-1.fc23.x86_64.

Any chance this will get fixed - as it is really annoying.
Comment 2 Kamil Páral 2015-11-18 08:44:32 EST
I can reproduce this.
Comment 3 Christian Stadelmann 2016-04-07 09:56:58 EDT
This issue has been closed upstream for nautilus and gtk+ 3.20. It can be closed now.

Note You need to log in before you can comment on or make changes to this bug.